Page MenuHomePhabricator

Decommission asw-c-eqiad
Open, MediumPublic

Description

Once T208584 and T208586 are done.

  • Move servers off asw-c-eqiad
  • Verify no more traffic on asw-c-eqiad <->asw2-c-eqiad link [Arzhel]
  • Disable asw-c-eqiad <->asw2-c-eqiad [Arzhel]
  • Remove from monitoring (LibreNMS/Rancid/Smokeping/Icinga) [Arzhel]
  • Unplug asw-c-eqiad <->asw2-c-eqiad links [Chris]
  • Cleanup interfaces config on asw2-c-eqiad [Chris/Arzhel]
  • Wipe and power down device [DCops/Arzhel]
  • Unplug mgmt/console port and remove from DNS [Chris]
  • Update console servers [Chris]
  • Unrack asw-c-eqiad members [Chris]
  • Update Netbox

Details

Related Gerrit Patches:
operations/puppet : productionRemove asw-c-eqiad from monitoring

Event Timeline

ayounsi triaged this task as Medium priority.Nov 5 2018, 4:09 PM
ayounsi created this task.
Restricted Application added a project: Operations. · View Herald TranscriptNov 5 2018, 4:09 PM
Volans added a subscriber: Volans.Nov 6 2018, 1:59 PM

Note, we will probably run into the same issues as T208788, at least about wipe, and possibly about removing it from Icinga.

RobH moved this task from Backlog to Decommission on the ops-eqiad board.Dec 12 2018, 11:34 PM
ayounsi updated the task description. (Show Details)Mar 7 2019, 6:13 PM

Mentioned in SAL (#wikimedia-operations) [2019-03-07T18:15:49Z] <XioNoX> disable asw2-c-eqiad <-> asw-c-eqiad link - T208734

Change 495007 had a related patch set uploaded (by Ayounsi; owner: Ayounsi):
[operations/puppet@production] Remove asw-c-eqiad from monitoring

https://gerrit.wikimedia.org/r/495007

Change 495007 merged by Ayounsi:
[operations/puppet@production] Remove asw-c-eqiad from monitoring

https://gerrit.wikimedia.org/r/495007

ayounsi reassigned this task from ayounsi to Cmjohnson.Mar 7 2019, 6:42 PM
ayounsi updated the task description. (Show Details)
ayounsi moved this task from Backlog to pending onsite steps (eqiad) on the decommission board.
ayounsi removed a subscriber: decommission.
faidon moved this task from Backlog to Watching on the netops board.Oct 31 2019, 1:01 AM